API explorerConnectors
Mark a connector online and refresh its last-seen time
POST /api/agent/connectors/{id}/heartbeat. Required scopes: connectors:write.
Loading API reference…
Required scopes: connectors:write
bearer connectors:writeAuthorizationBearer <token>A Notify agent token from notify auth login or the dashboard.
Scope: connectors:write
id*stringapplication/jsontunnelId?string^[a-z0-9]+$1 <= length <= 64hostname?string1 <= length <= 253routes?array<>items <= 32status?string"online""offline""unknown"graceful?booleanSuccess
application/jsonconnector*curl -X POST 'https://example.com/api/agent/connectors/string/heartbeat' \ -H 'Content-Type: application/json' \ -d '{}'{ "connector": { "id": "string", "enabled": true, "name": "string", "tunnelId": "string", "hostname": "string", "routes": [ { "name": "string", "target": "string", "url": "string", "appId": "string", "enabled": true } ], "status": "online", "lastSeenAt": "2019-08-24T14:15:22Z", "teamId": "string", "oncallGroupId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}